package com.logicbig.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import java.time.LocalDateTime;

@SpringBootApplication
public class ExampleMain extends SpringBootServletInitializer {

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(ExampleMain.class);
    }

    public static void main(String[] args) {
        SpringApplication.run(ExampleMain.class, args);
    }

    @Controller
    public static class MyController {

        @ResponseBody
        @RequestMapping("/")
        public String handler() {
            return "A msg from controller at " + LocalDateTime.now();
        }
    }
}